<?php
use ProVM\Money\Common\Controller\Values;

$app->group('/values', function($app) {
  $app->post('/add[/]', [Values::class, 'add']);
  $app->get('[/]', Values::class);
});

$app->group('/value/{currency_id}/{base_id}/{date_time}', function($app) {
  $app->put('/edit[/]', [Values::class, 'edit']);
  $app->delete('/delete[/]', [Values::class, 'delete']);
  $app->get('[/]', [Values::class, 'get']);
});
$app->group('/value/{currency_id}/{base_id}', function($app) {
  $app->put('/edit[/]', [Values::class, 'edit']);
  $app->delete('/delete[/]', [Values::class, 'delete']);
  $app->get('[/]', [Values::class, 'get']);
});
